<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.0</TargetFramework>
  </PropertyGroup>
  <PropertyGroup>
    <AspNetCoreHostingModel>OutOfProcess</AspNetCoreHostingModel>
    <UserSecretsId>3475e5d7-8a3a-41e5-9f38-19ff5fff50f2</UserSecretsId>
  </PropertyGroup>
  <ItemGroup>
    <Compile Remove="Properties\PublishProfiles\**" />
    <Content Remove="Properties\PublishProfiles\**" />
    <EmbeddedResource Remove="Properties\PublishProfiles\**" />
    <None Remove="Properties\PublishProfiles\**" />
  </ItemGroup>

  <ItemGroup>
    <Content Remove="web.config" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="DotNetCore.CAP" Version="2.6.0" />
    <PackageReference Include="DotNetCore.CAP.MongoDB" Version="2.6.0" />
    <PackageReference Include="DotNetCore.CAP.RabbitMQ" Version="2.6.0" />
    <PackageReference Include="JWT" Version="5.3.1" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.0.0" />
    <PackageReference Include="Senparc.Weixin" Version="6.8.101" />
    <PackageReference Include="Senparc.Weixin.MP" Version="16.11.101" />
    <PackageReference Include="System.IO.FileSystem" Version="4.3.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Mall.AOP\Mall.AOP.csproj" />
    <ProjectReference Include="..\Mall.CacheManager\Mall.CacheManager.csproj" />
    <ProjectReference Include="..\Mall.Common\Mall.Common.csproj" />
    <ProjectReference Include="..\Mall.DataHelper\Mall.DataHelper.csproj" />
    <ProjectReference Include="..\Mall.Model\Mall.Model.csproj" />
    <ProjectReference Include="..\Mall.Module.BaseSetUp\Mall.Module.BaseSetUp.csproj" />
    <ProjectReference Include="..\Mall.Module.Education\Mall.Module.Education.csproj" />
    <ProjectReference Include="..\Mall.Module.MarketingCenter\Mall.Module.MarketingCenter.csproj" />
    <ProjectReference Include="..\Mall.Module.Miai\Mall.Module.Miai.csproj" />
    <ProjectReference Include="..\Mall.Module.Product\Mall.Module.Product.csproj" />
    <ProjectReference Include="..\Mall.Module.Property\Mall.Module.Property.csproj" />
    <ProjectReference Include="..\Mall.Module.Reserve\Mall.Module.Reserve.csproj" />
    <ProjectReference Include="..\Mall.Module.TradePavilion\Mall.Module.TradePavilion.csproj" />
    <ProjectReference Include="..\Mall.Module.User\Mall.Module.User.csproj" />
    <ProjectReference Include="..\Mall.ThirdCore\Mall.ThirdCore.csproj" />
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties appsettings_1json__JsonSchema="https://json-schema.org/draft/2019-09/schema" /></VisualStudio></ProjectExtensions>


</Project>
